=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.4-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (backport #229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>) (#230 <https://github.com/ros-controls/gazebo_ros2_control/issues/230>)
    * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit f8a475d3092e67b77846d76738ffad0861c680c1)
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>) (#226 <https://github.com/ros-controls/gazebo_ros2_control/issues/226>)
    (cherry picked from commit 174e6b85f82774e9e802a5540382999066734421)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>) (#215 <https://github.com/ros-controls/gazebo_ros2_control/issues/215>)
    (cherry picked from commit c15af63cb036cd1f36cffbc56e5e5bdb5224c7e2)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>) (#214 <https://github.com/ros-controls/gazebo_ros2_control/issues/214>)
    (cherry picked from commit 3e950618a1f82c72097f7c90a6b5d2ea2e32b7b8)
    Co-authored-by: gwalck <mailto:guillaume.walck@stoglrobotics.de>
  * Various bug fixes (#177 <https://github.com/ros-controls/gazebo_ros2_control/issues/177>) (#208 <https://github.com/ros-controls/gazebo_ros2_control/issues/208>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.3-1jammy) jammy; urgency=high

  * add copy operator to SafeEnum (#197 <https://github.com/ros-controls/gazebo_ros2_control/issues/197>) (#198 <https://github.com/ros-controls/gazebo_ros2_control/issues/198>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.2-1jammy) jammy; urgency=high

  * Export all dependencies (#183 <https://github.com/ros-controls/gazebo_ros2_control/issues/183>)
    The ament_export_dependencies exports dependencies to downstream
    packages. This is necessary so that the user of the library does
    not have to call find_package for those dependencies.
  * Contributors: Adrian Zwiener

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.1-1jammy) jammy; urgency=high

  * Force setting use_sim_time parameter when using plugin. (#171 <https://github.com/ros-controls/gazebo_ros2_control/issues/171>)
  * Removed warning (#162 <https://github.com/ros-controls/gazebo_ros2_control/issues/162>)
  * Mimic joint should have the same control mode as mimicked joint. (#154 <https://github.com/ros-controls/gazebo_ros2_control/issues/154>)
  * Enable loading params from multiple yaml files (#149 <https://github.com/ros-controls/gazebo_ros2_control/issues/149>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Implemented perform_command_mode_switch override in GazeboSystem (#136 <https://github.com/ros-simulation/gazebo_ros2_control/issues/136>)
  * added namespace to controller manager (#147 <https://github.com/ros-simulation/gazebo_ros2_control/issues/147>)
  * Activate all hardware in URDF (#144 <https://github.com/ros-simulation/gazebo_ros2_control/issues/144>)
  * activated all hardware by default (#143 <https://github.com/ros-simulation/gazebo_ros2_control/issues/143>)
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * changed name to GazeboSystem (#142 <https://github.com/ros-simulation/gazebo_ros2_control/issues/142>)
  * Contributors: Denis Štogl, Keegan Sotebeer, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.1-1jammy) jammy; urgency=high

  * Added logic for activating hardware interfaces (#139 <https://github.com/ros-simulation/gazebo_ros2_control/issues/139>)
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Merge remote-tracking branch 'denis/using-under-namespace' into ahcorde/main/117
  * update read/write interface functions of ros2_control parts

