=== debian/control ===
Source: ros-humble-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-angles, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-humble-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: gazebo_ros2_control
