## ros-humble-gazebo-ros2-control 0.4.8

=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.8-1bookworm) bookworm; urgency=high

  * Add PID controller to control joint using effort (#294 <https://github.com/ros-controls/gazebo_ros2_control//issues/294>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Update precommit config (#298 <https://github.com/ros-controls/gazebo_ros2_control//issues/298>) (#301 <https://github.com/ros-controls/gazebo_ros2_control//issues/301>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 105c0ba5b786a43e1e9266399ab027a12011c643)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Fix incorrect force-torque sensor vec population (#296 <https://github.com/ros-controls/gazebo_ros2_control//issues/296>) (#299 <https://github.com/ros-controls/gazebo_ros2_control//issues/299>)
    (cherry picked from commit fdcd7aa8c67ea57f44bbf2f8fba90a28d7f04b5d)
    Co-authored-by: Mateus Menezes <mailto:mateusmenezes95@gmail.com>
  * Contributors: chameau5050, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.7-1bookworm) bookworm; urgency=high

  * Update gazebo_ros2_control_plugin.cpp (#286 <https://github.com/ros-controls/gazebo_ros2_control/issues/286>) (#287 <https://github.com/ros-controls/gazebo_ros2_control/issues/287>)
    (cherry picked from commit 5e1f9a52bcd1bf4164186dbb3c8b5cf070ed156e)
    Co-authored-by: Tobias Fischer <mailto:info@tobiasfischer.info>
  * set the robot description parameter (#277 <https://github.com/ros-controls/gazebo_ros2_control/issues/277>)
  * Fix crashing due to an invalid parameter in the initial value. (backport #271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>) (#282 <https://github.com/ros-controls/gazebo_ros2_control/issues/282>)
    * Fix crashing due to an invalid parameter in the initial value. (#271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cdae6b8a8f638d87146482e99bf76cf36530e5a6)
    Co-authored-by: Wiktor Bajor <mailto:69388767+Wiktor-99@users.noreply.github.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: AB, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.6-1bookworm) bookworm; urgency=high

  * Load the URDF to the resource_manager before parsing it to CM  (#262 <https://github.com/ros-controls/gazebo_ros2_control//issues/262>) (#266 <https://github.com/ros-controls/gazebo_ros2_control//issues/266>)
    * Load the URDF to the resource_manager before parsing it to CM constructor (fixes https://github.com/ros-controls/ros2_control/issues/1299)
    (cherry picked from commit f5baf71c4c7cb3c0a0af52f988c107b356c95ed0)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix links in documentation (#263 <https://github.com/ros-controls/gazebo_ros2_control//issues/263>) (#264 <https://github.com/ros-controls/gazebo_ros2_control//issues/264>)
    (cherry picked from commit d44b879615a539fc7c6c53707ec518df7bfd4f47)
    Co-authored-by: Silvio Traversaro <mailto:silvio@traversaro.it>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.5-1bookworm) bookworm; urgency=high

  * Fix stuck passive joints (#237 <https://github.com/ros-controls/gazebo_ros2_control/issues/237>) (#238 <https://github.com/ros-controls/gazebo_ros2_control/issues/238>)
    (cherry picked from commit 5dba0f95a03b136f39145c846ec5ebbfb5a09599)
    Co-authored-by: Johannes Huemer <mailto:johannes.huemer@ait.ac.at>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.4-1bookworm) bookworm; urgency=high

  * Catch pluginlib exceptions (backport #229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>) (#230 <https://github.com/ros-controls/gazebo_ros2_control/issues/230>)
    * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit f8a475d3092e67b77846d76738ffad0861c680c1)
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>) (#226 <https://github.com/ros-controls/gazebo_ros2_control/issues/226>)
    (cherry picked from commit 174e6b85f82774e9e802a5540382999066734421)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>) (#215 <https://github.com/ros-controls/gazebo_ros2_control/issues/215>)
    (cherry picked from commit c15af63cb036cd1f36cffbc56e5e5bdb5224c7e2)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>) (#214 <https://github.com/ros-controls/gazebo_ros2_control/issues/214>)
    (cherry picked from commit 3e950618a1f82c72097f7c90a6b5d2ea2e32b7b8)
    Co-authored-by: gwalck <mailto:guillaume.walck@stoglrobotics.de>

