## ros-humble-gazebo-ros2-control 0.4.10

=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.10-1bookworm) bookworm; urgency=high

  * Add support for getting PID parameters from loaded parameters (#374 <https://github.com/ros-controls/gazebo_ros2_control//issues/374>) (#375 <https://github.com/ros-controls/gazebo_ros2_control//issues/375>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 6a4cc84344ed1a86807dc77f23f199598a205296)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Add hold_joints parameter (backport #251 <https://github.com/ros-controls/gazebo_ros2_control//issues/251>) (#353 <https://github.com/ros-controls/gazebo_ros2_control//issues/353>)
    Co-authored-by: Christoph Froehlich <mailto:christoph.froehlich@ait.ac.at>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 16 Sep 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.9-1bookworm) bookworm; urgency=high

  * Initialize antiwindup variable properly (#326 <https://github.com/ros-controls/gazebo_ros2_control/issues/326>) (#327 <https://github.com/ros-controls/gazebo_ros2_control/issues/327>)
    (cherry picked from commit 1ef9652ac34ed883dbf8fed27bcf393f78f53d52)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000
